package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 对象能流关系对象 adm_ems_flow_rel
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsObjFlowRel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 能源输出对象 */
    private String exportObj;

    /** 能源输出对象类型（1-设施 2-设备） */
    private Integer exportObjType;

    /** 能源输出对象名称 */
    private String exportObjName;

    /** 能源流入对象 */
    private String inputObj;

    /** 能源流入对象类型（1-设施 2-设备） */
    private Integer inputObjType;

    /** 能源流入对象名称 */
    private String inputObjName;

    /** 能源流动介质代码 */
    private String emsCls;

    /** 能源流动介质名称 */
    private String emsClsName;

    /** 能流描述 */
    private String flowDesc;

    /** 流动容量/功率 */
    private BigDecimal flowCapacity;

    /** 容量单位 */
    private String flowUnit;

    /** 所属区域代码 */
    private String areaCode;

    /** 启用状态（0-禁用 1-启用） */
    private Integer enableStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExportObj() {
        return exportObj;
    }

    public void setExportObj(String exportObj) {
        this.exportObj = exportObj;
    }

    public Integer getExportObjType() {
        return exportObjType;
    }

    public void setExportObjType(Integer exportObjType) {
        this.exportObjType = exportObjType;
    }

    public String getExportObjName() {
        return exportObjName;
    }

    public void setExportObjName(String exportObjName) {
        this.exportObjName = exportObjName;
    }

    public String getInputObj() {
        return inputObj;
    }

    public void setInputObj(String inputObj) {
        this.inputObj = inputObj;
    }

    public Integer getInputObjType() {
        return inputObjType;
    }

    public void setInputObjType(Integer inputObjType) {
        this.inputObjType = inputObjType;
    }

    public String getInputObjName() {
        return inputObjName;
    }

    public void setInputObjName(String inputObjName) {
        this.inputObjName = inputObjName;
    }

    public String getEmsCls() {
        return emsCls;
    }

    public void setEmsCls(String emsCls) {
        this.emsCls = emsCls;
    }

    public String getEmsClsName() {
        return emsClsName;
    }

    public void setEmsClsName(String emsClsName) {
        this.emsClsName = emsClsName;
    }

    public String getFlowDesc() {
        return flowDesc;
    }

    public void setFlowDesc(String flowDesc) {
        this.flowDesc = flowDesc;
    }

    public BigDecimal getFlowCapacity() {
        return flowCapacity;
    }

    public void setFlowCapacity(BigDecimal flowCapacity) {
        this.flowCapacity = flowCapacity;
    }

    public String getFlowUnit() {
        return flowUnit;
    }

    public void setFlowUnit(String flowUnit) {
        this.flowUnit = flowUnit;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Integer getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(Integer enableStatus) {
        this.enableStatus = enableStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("exportObj", getExportObj())
            .append("exportObjType", getExportObjType())
            .append("exportObjName", getExportObjName())
            .append("inputObj", getInputObj())
            .append("inputObjType", getInputObjType())
            .append("inputObjName", getInputObjName())
            .append("emsCls", getEmsCls())
            .append("emsClsName", getEmsClsName())
            .append("flowDesc", getFlowDesc())
            .append("flowCapacity", getFlowCapacity())
            .append("flowUnit", getFlowUnit())
            .append("areaCode", getAreaCode())
            .append("enableStatus", getEnableStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}